
Katello - Bug #5806

Sync task doesn't wait for all publish tasks before showing completion

05/20/2014 02:59 AM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently the abstract_sync_task randomly waits for the first spawned task.  it should actually wait for all them.  The result is that

sometimes katello may show complete as soon as the node distributor publish is finished, but not the yum distributor publish.

Associated revisions

Revision 1b568756 - 05/20/2014 01:30 PM - Justin Sherrill

fixes #5806 - better handling multiple pulp tasks spawned from one task

Refs #4875 - removing hack to ignore applicability generation failure

Revision f2848e21 - 05/20/2014 05:17 PM - Justin Sherrill

Merge pull request #4116 from jlsherrill/multi_task

fixes #5806 - better handling multiple pulp tasks spawned from one task

History

#1 - 05/20/2014 05:52 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1b568756583f50a0449f8d53bfd48312aa88df52.

#2 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
